<p class="platform-info type-classic-vpc">Available in Classic and VPC</p>
Get the list of email delivery requests for the service. This API returns only the summary fields needed to browse the list. If you need processing statistics, use the Get delivery request API, and if you need individual mails, use the Get email list API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /mail/v2/services/{serviceId}/requests |
Request headers
For information about the request headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.
| Field | Required | Description |
|---|---|---|
x-ncp-lang |
Optional | Response message language
|
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
serviceId |
String | Required | Email service ID
|
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
fromDateTime |
String | Required | Start date and time of the query period
|
toDateTime |
String | Required | End date and time of the query period
|
requestId |
String | Optional | Delivery request ID
|
mailId |
String | Optional | Email ID
|
title |
String | Optional | Email subject
|
templateNo |
Integer | Optional | Template number
|
senderAddress |
String | Optional | Sender email address
|
recipientAddress |
String | Optional | Recipient email address
|
dispatchType |
String | Optional | Delivery path
|
status |
String | Optional | Delivery request status
|
pageNo |
Integer | Optional | Page number
|
pageSize |
Integer | Optional | Number of items per page
|
sort |
String | Optional | Sort criteria
|
- The
+in the time zone offset must be encoded as%2Bin the query string. (E.g.,fromDateTime=2026-07-01T00:00:00%2B09:00) - If multiple filters are specified together, they are applied with AND logic.
- If sort keys are not unique, the order of entries with the same value is not guaranteed.
Request example
The request example is as follows:
curl --location --request GET 'https://sens.apigw.ntruss.com/mail/v2/services/ncp:mail:kr:1********2:main/requests?fromDateTime=2026-07-01T00%3A00%3A00%2B09%3A00&toDateTime=2026-07-12T23%3A59%3A59%2B09%3A00&status=COMPLETED&pageNo=0&pageSize=10&sort=createDateTime%2Cdesc' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-lang: ko-KR'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
requests |
Array | - | Delivery request list: requests
|
totalElements |
Integer | - | Total number of items that meet the criteria |
totalPages |
Integer | - | Total number of pages |
pageNo |
Integer | - | Current page number |
pageSize |
Integer | - | Number of items per page |
requests
The following describes requests.
| Field | Type | Required | Description |
|---|---|---|---|
requestId |
String | - | Delivery request ID
|
createDateTime |
String | - | Delivery request acceptance date and time
|
templateNo |
Integer | - | Template number used
|
templateName |
String | - | Template name used
|
status |
String | - | Delivery request status
|
senderAddress |
String | - | Sender email address |
senderName |
String | - | Sender name
|
dispatchType |
String | - | Delivery path
|
elapsedTime |
String | - | Time taken to send
|
sendDateTime |
String | - | Delivery completion date and time
|
reservationDateTime |
String | - | Scheduled delivery date and time
|
requestCount |
Integer | - | Number of emails to be sent
|
recipientCount |
Integer | - | Number of recipients
|
Recipients whose messages were not delivered due to opt-out or blocking are not counted as successful. Therefore, requests containing only opt-out addresses are marked as FAILED. Check the recipients[] of the Get email details API for the reason for each recipient.
Response status codes
The following describes the response status codes:
| HTTP status code | Code | Message | Description |
|---|---|---|---|
| 200 | - | OK | Request succeeded |
| 400 | InvalidParameter | Bad Request | Request parameter error
|
| 401 | Unauthorized | Unauthorized | Authentication failed |
| 403 | Forbidden | Forbidden | No permission for the serviceId in the path. |
| 404 | NotFound | Not Found | Resource does not exist at the path. |
| 500 | InternalServerError | Internal Server Error | Internal server error |
Unlike other APIs in the Simple & Easy Notification Service, the Mail v2 API returns errors in the NCP API standard error format. Instead of the status and error (string) fields in the response body, the error object shown below is returned.
Error response body
The response body includes the following data if the call fails.
| Field | Type | Required | Description |
|---|---|---|---|
error |
Object | - | Error information |
error.errorCode |
String | - | Error code
|
error.message |
String | - | Predefined message for each error code
|
error.detail |
String | - | Detailed reason for each request
|
error.fieldErrors |
Array | - | List of errors by parameter
|
Error response example
The following is a sample response upon a failed call.
{
"error": {
"errorCode": "InvalidParameter",
"message": "The request contains an invalid parameter."
}
}
Response example
The response example is as follows:
{
"requests": [
{
"requestId": "20260712-R-01K0ZQ8YV3M4N5P6R7S8T9VAWX-777",
"createDateTime": "2026-07-12T09:59:35+09:00",
"templateNo": null,
"templateName": null,
"status": "COMPLETED",
"senderAddress": "no_reply@company.com",
"senderName": null,
"dispatchType": "API",
"elapsedTime": "00:00:05.230",
"sendDateTime": "2026-07-12T09:59:40+09:00",
"reservationDateTime": null,
"requestCount": 4,
"recipientCount": 100
}
],
"totalElements": 21,
"totalPages": 3,
"pageNo": 0,
"pageSize": 10
}